HBDOT(1)

NAME
hbdot - "DOt Prompt" Console for the Harbour Language

SYNOPSIS
hbdot [<file[.prg]> [<parameters,...>]]

DESCRIPTION
hbdot is "DOt Prompt" console for the Harbour Language. It can work as interpreter when run without parameters or can execute xBase/Clipper source code in .prg file given as first parameter.

hbdot can be also used to execute .prg files as scripts It's enough to add in the first line of .prg file:

#!/usr/bin/hbdot

and set executable attribute.

OPTIONS
This program has no options. <parameters,...> are passed to startup function in executed code coming from <file[.prg]>.

AUTHOR
Przemyslaw Czerpak, The Harbour Project (http://www.harbour-project.org)